import 'package:flutter/material.dart';
import 'package:senior_design_tokens/senior_design_tokens.dart';
import 'package:senior_design_system/senior_design_system.dart';
import '../page_wrapper.dart';

class AppBarTabBarExample extends StatelessWidget {
  final List<String> _pages = [
    'Timeline',
    'Grupos',
    'Documentos',
    'Tarefas',
    'Smart Apps'
  ];
  
  AppBarTabBarExample({ Key? key }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'App Bar/Tab Bar Example',
      content: DefaultTabController(
        length: _pages.length,
        child: Scaffold(
          appBar: SeniorAppBarHome(
            titleImagePath: 'assets/images/logo.png',            
            bottom: SeniorTabBar(
              tabs: _pages,
              initialIndex: 0,
              isScrollable: true,
              onTap: (_) {},
            ),
          ),
          body: TabBarView(
            children: _pages
                .map(
                  (page) => Center(
                    child: Text(
                      page,
                      style: SeniorTypography.title(
                          color: SeniorColors.neutralColor700),
                    ),
                  ),
                )
                .toList(),
          ),
        ),
      ),
    );
  }
}
