import 'package:flutter/material.dart';
import 'package:senior_design_tokens/senior_design_tokens.dart';
import 'package:senior_design_system/senior_design_system.dart';
import '../page_wrapper.dart';

class ExpansionPanelExample extends StatefulWidget {
  final List<dynamic> info = [
    {
      'evaluation': 5,
      'user': 'Maria Aparecida da Silva',
      'note':
          'O sistema é muito responsivo e a sua interface é muito bonita e intuitiva. Uso todos os dias nas minhas atividades diárias.',
      'is_Expanded': false,
    },
    {
      'evaluation': 2,
      'user': 'Francisco Golçalves Filho',
      'note':
          'Tenho muitos travamentos e não atende às minhas necessidades. Por favor ajustem isso.',
      'is_Expanded': false,
    },
    {
      'evaluation': 4,
      'user': 'Pedro Santos',
      'note': 'O app é muito bom, Porém acho que poderia ter menos anúncios.',
      'is_Expanded': false,
    },
    {
      'evaluation': 5,
      'user': 'Camila Oliveira',
      'note': 'É sensacinal. Atende às minhas necessidade perfeitamente.',
      'is_Expanded': false,
    }
  ];

  ExpansionPanelExample({ Key? key }) : super(key: key);

  @override
  _ExpansionPanelExampleState createState() => _ExpansionPanelExampleState();
}

class _ExpansionPanelExampleState extends State<ExpansionPanelExample> {
  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Expansion Panel Example',
      content: SingleChildScrollView(
        child: Padding(
          padding: const EdgeInsets.all(16.0),
          child: Column(
            children: [
              SeniorExpansionPanelList(
                list: this
                    .widget.info
                    .map(
                      (e) => SeniorPanelData(
                        headerInfo: Column(
                          children: [
                            Text(e['user']),
                            Text('${e['evaluation']}'),
                          ],
                        ),
                        expandedInfo: Text(e['note']),
                        severityColor: e['evaluation'] >= 3
                            ? SeniorColors.manchesterColorGreen
                            : SeniorColors.manchesterColorRed,
                        isExpanded: e['is_Expanded'],
                      ),
                    )
                    .toList(),
                expansionCallback: (index, value) {
                  setState(() {
                    widget.info[index]['is_Expanded'] = !value;
                  });
                },
              ),
            ],
          ),
        ),
      ),
    );
  }
}
