import 'package:flutter/material.dart';
import 'package:senior_design_system/senior_design_system.dart';
import '../page_wrapper.dart';
import '../panel.dart';

class SnackBarExample extends StatelessWidget {
  const SnackBarExample({ Key? key }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Snack Bar Example',
      content: SingleChildScrollView(
        child: Padding(
          padding: const EdgeInsets.all(32.0),
          child: Container(
            child: Column(
              children: [
                Panel(
                  title: 'Info snack bar',
                  content: SeniorButton(
                    label: 'Info',
                    onPressed: () {
                      final scaffold = ScaffoldMessenger.of(context);
                      scaffold.showSnackBar(
                        SeniorSnackBar.info(
                          message: 'Este é o SeniorSnackBar info',
                        ),
                      );
                    },
                    fullLength: true,
                  ),
                ),
                Panel(
                  title: 'Success snack bar',
                  content: SeniorButton(
                    label: 'Success',
                    onPressed: () {
                      final scaffold = ScaffoldMessenger.of(context);
                      scaffold.showSnackBar(
                        SeniorSnackBar.success(
                          message: 'Este é o SeniorSnackBar success',
                        ),
                      );
                    },
                    fullLength: true,
                  ),
                ),
                Panel(
                  title: 'Warning snack bar',
                  content: SeniorButton(
                    label: 'Warning',
                    onPressed: () {
                      final scaffold = ScaffoldMessenger.of(context);
                      scaffold.showSnackBar(
                        SeniorSnackBar.warning(
                          message: 'Este é o SeniorSnackBar warning',
                        ),
                      );
                    },
                    fullLength: true,
                  ),
                ),
                Panel(
                  title: 'Error snack bar',
                  content: SeniorButton(
                    label: 'Error',
                    onPressed: () {
                      final scaffold = ScaffoldMessenger.of(context);
                      scaffold.showSnackBar(
                        SeniorSnackBar.error(
                          message: 'Este é o SeniorSnackBar error',
                        ),
                      );
                    },
                    fullLength: true,
                  ),
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
